<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Request-History</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="../../../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
</head>

<body>
    <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">My Asset</h2>

                <ul class="tabs mb-0">
                    <li>
                        <a href="#">MY ASSETS</a>
                    </li>
                    <li>
                        <a href="#">REVIEW & APPROVALs</a>
                    </li>
                </ul>

            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabsScreen">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                        <h3>
                                            My Requisitions
                                        </h3>
                                    </div>
                                    <div>

                                        <button class="oct-btn oct-btn-success"> <svg version="1.1"
                                                xmlns="http://www.w3.org/2000/svg"
                                                xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                viewBox="0 0 128 128" style="enable-background:new 0 0 128 128;"
                                                xml:space="preserve">
                                                <g id="_x32_8">
                                                    <path style="fill-rule:evenodd;clip-rule:evenodd;fill:#ffffff;" d="M127.839,70.187h-57.66v57.745H57.822V70.187H0.161V57.814
                                                h57.661V0.068h12.357v57.746h57.66V70.187z"></path>
                                                </g>
                                                <g id="Layer_1">
                                                </g>
                                            </svg> New Asset Request</button>
                                    </div>
                                </div>


                                <div class="table-responsive table-striped table-hover">
                                    <table class="innerTable assetButtons">
                                        <tr>
                                            <th class="trHead">REQUEST NO.</th>
                                            <th class="trHead">REQUEST TYPE</th>
                                            <th class="trHead">REQUEST DATE</th>
                                            <th class="trHead">ASSET TYPE</th>
                                            <th class="trHead">ASSET NAME</th>
                                            <th class="trHead">CONFIGURATION</th>
                                            <th class="trHead">STATUS</th>
                                            <th class="trHead">APPROVAL</th>
                                            <th class="trHead thSeven">STATUS</th>
                                        </tr>

                                        <tr>
                                            <td> <a href="#attendanceDetailsPopup" rel="modal:open">TR18/0158</a></td>
                                            <td>New</td>
                                            <td>Mar 12</td>
                                            <td>Mouse</td>
                                            <td>Logitech M170</td>
                                            <td>M170 Wireless</td>
                                            <td>Open</td>
                                            <td>Pending</td>
                                            <td class="actionButton dropBtn">
                                                <a href="#cancelRequest" rel="modal:open">Cancel</a>
                                        </tr>
                                        <tr>
                                            <td><a href="#" rel="modal:open">TR18/0159</a></td>
                                            <td>Upgrade</td>
                                            <td>Mar 11</td>
                                            <td>Computer</td>
                                            <td>Lenovo Y530</td>
                                            <td>8gb RAM, 1tb hd...</td>
                                            <td>Closed</td>
                                            <td>Approved</td>
                                            <td class="actionButton enrollBtn">
                                                <a href="#acknowledgeRequest" rel="modal:open">Acknowledge</a>
                                            </td>
                                        </tr>

                                        <tr>
                                            <td><a href="#" rel="modal:open">TR18/0160</a></td>
                                            <td>New</td>
                                            <td>Feb 18</td>
                                            <td>Phone</td>
                                            <td>Moto G5</td>
                                            <td>4gb RAM, 32gb h...</td>
                                            <td>Closed</td>
                                            <td>Approved</td>
                                            <td class="actionButton enrollBtn">
                                                <a href="#returnRequest" rel="modal:open">Return</a>
                                            </td>
                                        </tr>

                                    </table>

                                </div>

                            </div>

                        </div>

                    </div>


                    <!-- / tabs_item -->
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                        <h3 class="detailLearn">Pending Approvals</h3>
                                    </div>

                                </div>
                                <div class="table-responsive table-striped table-striped table-hover">
                                    <table class="innerTable">
                                        <tr>
                                            <th class="trHead tableCheckbox"><input type="checkbox" class="case" id="selectall" />
                                            </th>
                                            <th class="trHead">REQUEST NO.</th>
                                            <th class="trHead">REQUESTED BY</th>
                                            <th class="trHead">REQUESTED DATE</th>
                                            <th class="trHead">ASSET TYPE</th>
                                            <th class="trHead">ASSET NAME</th>
                                            <th class="trHead">CONFIGURATION</th>
                                            <th class="trHead">Reason</th>
                                        </tr>
                                        <tr>
                                            <td><input type="checkbox" onclick="onCheck()" class="case" name="case"
                                                    value="12" /></td>
                                            <td> <a href="#attendanceDetailsPopup" rel="modal:open">TR18/00001158</a>
                                            </td>
                                            <td>
                                                <a href="#">
                                                    <span class="user_review"><img src="../../../dist/images/sachin.png"
                                                            alt="sachin_user"></span>Sachin
                                                    Shah</a>
                                            </td>
                                            <td>
                                                Mar 12
                                            </td>
                                            <td>Mouse</td>
                                            <td>Logitech M170</td>
                                            <td>M170 Wireless</td>
                                            <td>Need one for graphic design</td>

                                        </tr>
                                        <tr>
                                            <td><input type="checkbox" onclick="onCheck()" class="case" name="case"
                                                    value="22" /></td>
                                            <td><a href="#">TR18/00001158</a></td>
                                            <td>
                                                <a href="#">
                                                    <span class="user_review"><img src="../../../dist/images/amik.png"
                                                            alt="amik_user"></span>Amik
                                                    Desai</a>
                                            </td>
                                            <td>
                                                Mar 6
                                            </td>
                                            <td>Computer</td>
                                            <td>Lenovo Y530</td>
                                            <td>8gb RAM, 1tb hd...</td>
                                            <td>Current device lags a lot.</td>
                                        </tr>
                                    </table>
                                </div>

                                <a href="#learningApprove1" rel="modal:open"> <button id="approve"
                                        class="oct-btn oct-btn-primary mt-4 mb-4" disabled>Approval</button></a>
                                <a href="#learningreject" rel="modal:open"> <button id="reject"
                                        class="oct-btn oct-btn-outline mt-4 mb-4" disabled>Reject</button></a>

                            </div>

                        </div>

                    </div>


                </div>
                <!-- / tab -->
            </div>
        </div>
        <div style="width: auto !important;" id="learningApprove1" class="modal octanePopup">
            <h4>Approve</h4>

            <div class="form-group">
                <div class="row marginNone">
                    <div class="fields">
                        <label class="labelGroup mt-4">Description</label>
                        <textarea class="mandatory" name="desc" id="desc" cols="75" rows="5"
                            placeholder="Please enter comments"></textarea>
                    </div>
                </div>


                <div class="row marginNone closeBtn mt-4">
                    <button onclick="formValidations('learningApprove1');" type="button" id="approveBtn"
                        class="oct-btn oct-btn-primary mt-0">Submit</button>
                    <button class="clearButton mt-1" type="button"
                        onclick="clearForm('learningApprove1','yes');">Clear</button>
                </div>

            </div>
        </div>

        <div style="width: auto !important;" id="learningreject" class="modal octanePopup">
            <h4>Reject</h4>
            <div class="form-group">
                <div class="row marginNone">
                    <div class="fields">
                        <label class="labelGroup mt-4">Reason for rejection <span class="mandatorySign">*</span></label>
                        <textarea class="mandatory" name="reason" id="reason" cols="75" rows="5"
                            placeholder="Please state the reason for rejecting the request"></textarea>
                    </div>
                </div>


                <div class="row marginNone closeBtn mt-4">
                    <button onclick="formValidations('learningreject');" type="button" id="approveBtn"
                        class="oct-btn oct-btn-primary mt-0">Submit</button>
                    <button class="clearButton mt-1" type="button"
                        onclick="clearForm('learningreject','yes');">Clear</button>

                </div>

            </div>
        </div>
        <div id="cancelRequest" class="modal userReviewspopup">

            <!-- userHistory popup model content-->
            <div class="userheader">
                <span class="TCPopupHeading">Asset Requisition Details - <a href="#" class="popupHeading">Logitech
                        M170</a></span>
            </div>

            <div class="approvalPopup">
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST NO<span>LV18/00001158</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST DATE<span>4:08pm - Jan 24, 2019</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST FOR<span>New Asset</span></p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET TYPE<span>Mouse</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET NAME<span>Logitech M170</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>CONFIGURATION<span>M170 Wireless</span></p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>S/N<span>1846HS0A9L68</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>P/N<span>810-005640
                            </span></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <p>REASON<span>My work requires me to have free hand use of application, so need a mouse for
                                that.</span></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>STATUS<span>Open</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>APPROVAL<span>Pending
                            </span></p>
                    </div>
                </div>
                <div class="row ml-0 mt-4 closeBtn d-flex align-items-center">
                    <button type="button" id="submitBtn" class="oct-btn oct-btn-primary mr-3">Cancel
                        Request</button>
                    <a href="#close-modal" rel="modal:close">Close</a>
                </div>
            </div>
        </div>
        <div id="acknowledgeRequest" class="modal userReviewspopup">
            <!-- userHistory popup model content-->
            <div class="userheader">
                <span class="TCPopupHeading">Asset Requisition Details - <a href="#" class="popupHeading">Logitech
                        M170</a></span>
            </div>
            <div class="approvalPopup">
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST NO<span>LV18/00001158</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST DATE<span>4:08pm - Jan 24, 2019</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST FOR<span>New Asset</span></p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET TYPE<span>Mouse</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET NAME<span>Logitech M170</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>CONFIGURATION<span>M170 Wireless</span></p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>S/N<span>1846HS0A9L68</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>P/N<span>810-005640
                            </span></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <p>REASON<span>My work requires me to have free hand use of application, so need a mouse for
                                that.</span></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>STATUS<span>Open</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>APPROVAL<span>Pending
                            </span></p>
                    </div>
                </div>
                <div class="row">
                    <div style="line-height: 15px;" class="col-md-12 col-sm-12 col-xs-12 mb-4">
                        <span style="font-size: 12px;">This is to confirm that the below mentioned asset with details
                            mentioned as under has been
                            handed over to me for use during the course of discharge of my duties here.</span>
                    </div>
                    <div style="line-height: 15px;" class="col-md-12 col-sm-12 col-xs-12">
                        <span style="font-size: 12px;">The above is the property of ESPL to be returned back as and when
                            required by the management.
                            I also accept the custody of the above mentioned property of Embee Software Pvt Ltd and
                            assure
                            that all due care and diligence will be exercised by me
                            while using the asset entrusted in my care.</span>
                    </div>
                </div>
                <div class="row marginNone closeBtn mt-5 align-items-center">
                    <button type="button" id="submitBtn" class="oct-btn oct-btn-primary mt-0 mr-3">Acknowledge</button>
                    <a href="#close-modal" rel="modal:close">Close</a>

                </div>
            </div>
        </div>
        <div id="returnRequest" class="modal userReviewspopup">
            <!-- userHistory popup model content-->
            <div class="userheader">
                <span class="TCPopupHeading">Asset Requisition Details - <a href="#" class="popupHeading">Logitech
                        M170</a></span>
            </div>
            <div class="approvalPopup">
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST NO<span>LV18/00001158</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST DATE<span>4:08pm - Jan 24, 2019</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST FOR<span>New Asset</span></p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET TYPE<span>Mouse</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET NAME<span>Logitech M170</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>CONFIGURATION<span>M170 Wireless</span></p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>S/N<span>1846HS0A9L68</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>P/N<span>810-005640
                            </span></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <p>REASON<span>My work requires me to have free hand use of application, so need a mouse for
                                that.</span></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>STATUS<span>Open</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>APPROVAL<span>Pending
                            </span></p>
                    </div>
                </div>
                <div class="row marginNone closeBtn d-flex align-items-center justify-content-between">
                    <div class="mt-4">
                        <button type="button" id="submitBtn" class="oct-btn oct-btn-primary mt-0">Upgrade</button>
                        <button type="button" id="submitBtn" class="oct-btn oct-btn-outline mt-0">Repair</button>
                    </div>
                    <button type="button" id="submitBtn" class="oct-btn oct-btn-dark mt-4">Return</button>
                </div>
            </div>
        </div>

        <div id="attendanceDetailsPopup" class="modal userReviewspopup">

            <!-- userHistory popup model content-->
            <div class="userheader">
                <span class="TCPopupHeading">Attendance Details</span>
            </div>

            <div class="approvalPopup">
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST NO<span>LV18/00001158</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST TYPE<span>New</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST DATE<span>Mar 12</span></p>
                    </div>


                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET TYPE<span>Mouse</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET NAME<span>Lenovo Y530</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>CONFIGURATION<span>8gb RAM, 1tb hd...</span></p>
                    </div>


                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>STATUS<span>Closed</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>APPROVAL<span>Pending</span></p>
                    </div>

                </div>


            </div>
        </div>

        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
        <script src="../../../dist/js/sidebar-admin.js"></script>
        <script src="../../../dist/js/topbar.js"></script>
          
        <script src="../../../dist/js/octane.js"></script>
        <script>
            // Start multiple select / deselect functionality
            $("#selectall").click(function () {
                $('.case').prop('checked', this.checked);
                let checkboxLen = $('.case:checked').length;
                console.log(checkboxLen);
                if (checkboxLen >= 1) {
                    $('#approve,#reject').removeAttr('disabled');
                }
                if (checkboxLen == 0) {
                    $('#approve,#reject').attr('disabled', 'disabled');
                }
            });
            // if all checkbox are selected, check the selectall checkbox  also        
            $(".case").click(function () {
                let checkboxLen = $('.case:checked').length;
                if ($(".case").length == checkboxLen) {

                    $("#selectall").prop("checked", true);
                } else {

                    $("#selectall").prop("checked", false);
                }
            });

            function onCheck() {
                let checkboxLen = $('.case:checked').length;

                if (checkboxLen == 0) {
                    $('#approve,#reject').attr('disabled', 'disabled');

                }
                if (checkboxLen == 1) {
                    $('#approve,#reject').removeAttr('disabled');
                }

            }
        </script>

</body>

</html>